% number of realizations 
n = 100;
t = 1:n;

% mean vector
mu = zeros(1,n);

% covariance matrix
Sigma = zeros(n,n);
for i = 1:n
    for j = 1:n
        if(abs(i-j) == 2)
            Sigma(i,j) = 1/9;
        elseif(abs(i-j) == 1)
            Sigma(i,j) = 2/9;
        elseif(i == j)
            Sigma(i,j) = 1/3;
        end
    end
end                           % +1 point for initialization of mu and Sigma

%Generate the multivariate normal vector
A = chol(Sigma);
X = mu + randn(1,n) * A;     

%Plot                         % +0.5 point for simulation of X 
plot(t,X);                    % +0.5 point for the plot