% number of realizations 
n = 100;
t = 1:n;

% Initialize X
X = zeros(1,n);                                

% Z vector
Z = randn(1,n);                       % +1/2 point for initialization of Zn

X(1) = Z(1);
for i = 2:n
    X(i) = 0.5 * X(i-1) + Z(i);       % +1 point for recursion formula             
end

%Plot
plot(t,X);                            % +1/2 point for plot